Download it now!
Bug 138605 - CRASH: Undoing paragraph deletion ( track changes )
Summary: CRASH: Undoing paragraph deletion ( track changes )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: tracked-changes-in-margin
  Show dependency treegraph
 
Reported: 2020-12-01 16:02 UTC by Xisco Faulí
Modified: 2020-12-14 09:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-01 16:02:40 UTC
Steps to reproduce:
1. Open Writer
2. Edit - Track Changes - Record
3. Write a word
4. Select all
5. Delete
6. Undo

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 79ec66700266a22966d9e308a716be56c9c3a4a7
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-01 16:04:06 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=469f472fb31c4ef1a57f8ec54ba750c1332feec2

author	László Németh <nemeth@numbertext.org>	2020-11-25 10:55:13 +0100
committer	László Németh <nemeth@numbertext.org>	2020-11-26 08:32:30 +0100
commit	469f472fb31c4ef1a57f8ec54ba750c1332feec2 (patch)
tree	fb2c028f37ff5b861c6ebc24ae7f993333fa9f95
parent	089bb2f3bd2b5fc8118caaa6b7c6b82dd36a094e (diff)
tdf#138479 tdf#137769 sw ChangesInMargin: fix Undo in paragraphs

Bisected with: bibisect-linux64-7.2

Adding Cc: to László Németh
Comment 2 László Németh 2020-12-02 10:15:12 UTC
@Xisco: thanks for reporting the problem! I'm going to fix it soon.
Comment 3 Commit Notification 2020-12-12 15:50:33 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e57d77cb01d3e76a942c5e2bb896135dd900f807

tdf#138605 sw change tracking: fix crash with Undo

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-12-12 17:03:09 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/039b8ab4329a56420ac6da6cd78087d5a42e8dd3

tdf#138605 sw change tracking: fix crash with Undo

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-12-14 09:18:46 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 9a2a4bc5ed340ba187c8e27db5c8477c990c93af
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!!